Bug 509245 - Uniqueness constraint violation when using Sat Sync to update existing channels
Uniqueness constraint violation when using Sat Sync to update existing channels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jeff Browning
:
Depends On:
Blocks: 457078
  Show dependency treegraph
 
Reported: 2009-07-01 16:54 EDT by Jeff Browning
Modified: 2009-09-10 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Browning 2009-07-01 16:54:00 EDT
Description of problem:
I encountered a uniqueness constraint violation when trying to Sat Sync several existing channels against Web QA to pull down updated packages. Please see attached log file.

Version-Release number of selected component (if applicable):


How reproducible:
100% from my experience. Others have seen similar with less consistency. 

Steps to Reproduce:
1. Sync channels from a production dump.
2. Attempt to resync those channels from Web QA
  
Actual results:
During Import, the sat sync fails. See attachment for the log file.

Expected results:
The channels should be updated to what's on Web QA

Additional info:
Comment 6 Jeff Browning 2009-07-22 10:06:51 EDT
Verified.

Did not encounter constraint violation.
Comment 7 Tomas Lestach 2009-08-25 10:12:48 EDT
I synced following channels from local dump: rhel-i386-server-5, rhn-tools-rhel-i386-server-5 and rhel-i386-server-vt-5.
Then I successfully re-synced those channels from rhn.stage.
No issues, no constraint violations.

Stage validated -> RELEASE_PENDING
Comment 8 Brandon Perkins 2009-09-10 15:18:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.